%global momorel 1
Summary:	An archive manager for GNOME.
Name:		file-roller
Version: 2.8.3
Release: %{momorel}m
License:	GPL
URL:		http://fileroller.sourceforge.net
Group:		Applications/Archiving
%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.8/%{name}-%{version}.tar.bz2 841f0cc0eab979d98c25c16725c18745
Patch: sigsegv-when-parent-window-destroyed-while-extracting.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prereq: GConf
Prereq: scrollkeeper
Prereq: desktop-file-utils >= 0.10
BuildPrereq:	glib-devel >= 2.6.1
BuildPrereq:	gtk+-devel >= 2.6.1
BuildPrereq:	libgnome-devel >= 2.8.0
BuildPrereq:	libgnomeui-devel >= 2.8.0
BuildPrereq:	gnome-vfs-devel >= 2.8.3
BuildPrereq:	libglade-devel >= 2.4.1
#BuildPrereq:	bonobo-activation-devel >= 1.0.0
BuildPrereq:	libbonobo-devel >= 2.8.0
BuildPrereq:	libbonoboui-devel >= 2.8.0

%description
File Roller is an archive manager for the GNOME environment.  This means that 
you can : create and modify archives; view the content of an archive; view a 
file contained in the archive; extract files from the archive.
File Roller is only a front-end (a graphical interface) to archiving programs 
like tar and zip. The supported file types are :
    * Tar archives uncompressed (.tar) or compressed with
          * gzip (.tar.gz , .tgz)
          * bzip (.tar.bz , .tbz)
          * bzip2 (.tar.bz2 , .tbz2)
          * compress (.tar.Z , .taz)
          * lzop (.tar.lzo , .tzo)
    * Zip archives (.zip)
    * Jar archives (.jar , .ear , .war)
    * Lha archives (.lzh)
    * Rar archives (.rar)
    * Single files compressed with gzip, bzip, bzip2, compress, lzop

%prep
%setup -q
%patch -p1
libtoolize -c -f
aclocal-1.7
automake-1.7
autoconf

%build
%configure --disable-schemas-install
make %{?_smp_mflags} || make

%install
rm -rf %{buildroot}
%makeinstall

# remove
rm -rf %{buildroot}/var/scrollkeeper

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/file-roller
%{_datadir}/applications/file-roller.desktop
%{_datadir}/file-roller/glade/*.glade
%{_datadir}/locale/*/LC_MESSAGES/file-roller.mo
%{_datadir}/application-registry/file-roller.applications
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/file-roller.png
%{_libdir}/bonobo/*.a
%{_libdir}/bonobo/*.la
%{_libdir}/bonobo/*.so
%{_libdir}/bonobo/servers/*.server
%{_datadir}/omf/file-roller
%doc %{_datadir}/gnome/help/file-roller
%doc AUTHORS NEWS README COPYING
%{_sysconfdir}/gconf/schemas/*

%post
update-desktop-database %{_datadir}/applications
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/file-roller.schemas > /dev/null
if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update; fi

%postun
update-desktop-database %{_datadir}/applications
if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update; fi

%ChangeLog
* Thu Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.8.3-1m)
- version 2.8.3
- GNOME 2.8 Desktop

* Sun Aug 15 2004 Motonobu Ichimura <famao@momonga-linux.org>
- (2.6.1-1m)
- version 2.6.1

* Thu Apr 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.6.0-1m)
- version 2.6.0
- GNOME 2.6 Desktop
- adjustment BuildPreReq

* Thu Mar 18 2004 Toru Hoshina <t@momonga-linux.org>
- (2.4.4-2m)
- revised spec for enabling rpm 4.2.

* Thu Feb 19 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.4.4-1m)
- update to 2.4.4

* Mon Jan 26 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.4.3-1m)
- version 2.4.3

* Thu Oct 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.1-1m)
- version 2.4.1

* Wed Oct 01 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (2.4.0.1-2m)
- added sigsegv-when-parent-window-destroyed-while-extracting.patch

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (2.4.0.1-1m)
- initial import
